org.apache.poi.ss.formula.eval

## Class NotImplementedFunctionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.poi.ss.formula.eval.NotImplementedException
        - - org.apache.poi.ss.formula.eval.NotImplementedFunctionException

- All Implemented Interfaces:
    java.io.Serializable

      public final class NotImplementedFunctionException
      extends NotImplementedException

  An exception thrown by implementors of `FormulaEvaluator` when attempting to evaluate a formula which requires a function that POI does not (yet) support.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotImplementedFunctionException(java.lang.String functionName)`
    `NotImplementedFunctionException(java.lang.String functionName, NotImplementedException cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFunctionName()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NotImplementedFunctionException

          public NotImplementedFunctionException(java.lang.String functionName)

    - #### NotImplementedFunctionException

          public NotImplementedFunctionException(java.lang.String functionName,
                                                 NotImplementedException cause)

  - ### Method Detail

    - #### getFunctionName

          public java.lang.String getFunctionName()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.